| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes

# IG::Forms::WindowPositionerForm Class Reference

Windows form for testing window positioning./summary> $A Igor xx Oct09;. More...

Inheritance diagram for IG::Forms::WindowPositionerForm:
[legend]
Collaboration diagram for IG::Forms::WindowPositionerForm:
[legend]

List of all members.

## Public Member Functions
| WindowPositionerForm ()
| Constructs a new positioner form with undefined positioner, positioned window and master window.
| WindowPositionerForm (Form positionedWindow, Form masterWindow)
| Constructs a new positioner form with unspecified positioner and specified positioned window and master window. Positioner is created automatically and initialized to default state.
| WindowPositionerForm (Form positionedWindow)
| Constructs a new positioner form with unspecified positioner and master window, and specified positioned window. Positioner is created automatically and initialized to default state.
| WindowPositionerForm (WindowPositioner positioner)
| Constructs a new positioner form with the specified positioner and undefined positioned window and master window.
| WindowPositionerForm (WindowPositioner positioner, Form positionedWindow)
| Constructs a new positioner form with the specified positioner and positioned window, and undefined master window.
| WindowPositionerForm (WindowPositioner positioner, Form positionedWindow, Form masterWindow)
| Constructs a new positioner form with the specified positioner, positioned window and master window.
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
Form | _masterWindow
## Properties
string | Title`[get]`
WindowPositionerControl | PositionerControl`[get]`
| Provides direct access to the embedded positioner control.
WindowPositioner | Positioner`[get, set]`
| Window positioner.
Form | Window`[get, set]`
| Window to be positioned.
Form | MasterWindow`[get, set]`
| Master window relative to which position is set.
## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable.
WindowPositionerControl | windowPositionerControl1

## Detailed Description

Windows form for testing window positioning./summary> $A Igor xx Oct09;.

## Constructor & Destructor Documentation

IG::Forms::WindowPositionerForm::WindowPositionerForm | ( |  | ) | `[inline]`

Constructs a new positioner form with undefined positioner, positioned window and master window.

IG::Forms::WindowPositionerForm::WindowPositionerForm | ( | Form | positionedWindow,
|  | Form | masterWindow
| ) |  | `[inline]`

Constructs a new positioner form with unspecified positioner and specified positioned window and master window. Positioner is created automatically and initialized to default state.

Parameters:

  positionedWindow | Window that is positioned.
  masterWindow | Master window.

IG::Forms::WindowPositionerForm::WindowPositionerForm | ( | Form | positionedWindow | ) | `[inline]`

Constructs a new positioner form with unspecified positioner and master window, and specified positioned window. Positioner is created automatically and initialized to default state.

Parameters:

  positionedWindow | Window that is positioned.

IG::Forms::WindowPositionerForm::WindowPositionerForm | ( | WindowPositioner | positioner | ) | `[inline]`

Constructs a new positioner form with the specified positioner and undefined positioned window and master window.

Parameters:

  positioner | Positioner object that positions the window.

IG::Forms::WindowPositionerForm::WindowPositionerForm | ( | WindowPositioner | positioner,
|  | Form | positionedWindow
| ) |  | `[inline]`

Constructs a new positioner form with the specified positioner and positioned window, and undefined master window.

Parameters:

  positioner | Positioner object that positions the window.
  positionedWindow | Window that is positioned.

IG::Forms::WindowPositionerForm::WindowPositionerForm | ( | WindowPositioner | positioner,
|  | Form | positionedWindow,
|  | Form | masterWindow
| ) |  | `[inline]`

Constructs a new positioner form with the specified positioner, positioned window and master window.

Parameters:

  positioner | Positioner object that positions the window.
  positionedWindow | Window that is positioned.
  masterWindow | Master window.

## Member Function Documentation

override void IG::Forms::WindowPositionerForm::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Forms::WindowPositionerForm::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

Form IG::Forms::WindowPositionerForm::_masterWindow`[protected]`

System.ComponentModel.IContainer IG::Forms::WindowPositionerForm::components = null`[private]`

Required designer variable.

WindowPositionerControl IG::Forms::WindowPositionerForm::windowPositionerControl1`[private]`

## Property Documentation

string IG::Forms::WindowPositionerForm::Title`[get]`

WindowPositionerControl IG::Forms::WindowPositionerForm::PositionerControl`[get]`

Provides direct access to the embedded positioner control.

WindowPositioner IG::Forms::WindowPositionerForm::Positioner`[get, set]`

Window positioner.

Form IG::Forms::WindowPositionerForm::Window`[get, set]`

Window to be positioned.

Form IG::Forms::WindowPositionerForm::MasterWindow`[get, set]`

Master window relative to which position is set.

The documentation for this class was generated from the following files:

- WindowPositionerForm.cs
- WindowPositionerForm.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events